Bug 123266 - Improve the cursor/pointer images
Summary: Improve the cursor/pointer images
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Noel Grandin
URL:
Whiteboard: target:6.3.0 target:6.4.0 target:6.3.4
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-08 14:25 UTC by Noel Grandin
Modified: 2019-11-11 01:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Grandin 2019-02-08 14:25:53 UTC
Description:
We need to update our cursor/pointer images, we have quite a collection, and they are looking a little tired

Actual Results:
We should build them using SVG so we can render nice versions at runtime

Expected Results:
xxcx


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Noel Grandin 2019-02-08 14:28:34 UTC
Andreas Kainz and I will work on this.

  https://gerrit.libreoffice.org/#/c/67528/

is the beginning. Apply that and then run

  SAL_USE_VCLPLUGIN=gtk3 ./bin/run vcldemo --widgets

from the working folder.

Then click on one of the buttons, and move the cursor to the big chunk of red area below to see what the cursors look like.
Comment 2 Commit Notification 2019-02-13 14:52:16 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/98b20a0115cdc787071e95757ff2e16284337fbb%5E%21

tdf#123266 make cursors svg ready for better resizing.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-02-20 13:09:14 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/97a42da2e39c59974b343f8e945b77e2b28e84ab%5E%21

tdf#123266 make cursors svg in 256x256px size

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-03-25 18:04:37 UTC
A polite ping to Noel Grandin / Andreas Kainz:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 5 Noel Grandin 2019-03-25 18:16:42 UTC
Still have to do some work to extend this to mac and windows (currently it is only gtk3)
Comment 7 andreas_k 2019-10-08 06:56:29 UTC
I think my work is done, but let me know if something is needed. when finished the old cursor images can be deleted.
Comment 8 Noel Grandin 2019-10-08 07:00:13 UTC
@andreas, in https://gerrit.libreoffice.org/#/c/67424, I moved a couple of PNG images to the themes, would be nice if SVG versions of those could be made.
Comment 9 Commit Notification 2019-11-10 12:53:13 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5ae8f2f07815443716b3066706b4f193fe61f7c9

KJ: tdf#123266,  tdf#127458, tdf#128689

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-11-10 20:41:56 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/eb9821c83020819f5d85e612701fb2f77c532943

KJ: tdf#123266,  tdf#127458, tdf#128689

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.